test: _LFS_DATA struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _LFS_DATA Struct Reference

`#include <lfsstruc.h>`

List of all members.

## Public Attributes

NODE_TYPE_CODE | NodeTypeCode
NODE_BYTE_SIZE | NodeByteSize
LIST_ENTRY | LfcbLinks
ULONG | Flags
FAST_MUTEX | LfsDataLock
PVOID | Buffer1
PVOID | Buffer2
ERESOURCE_THREAD | BufferOwner
ULONG | BufferFlags
FAST_MUTEX | BufferLock
KEVENT | BufferNotification

## Member Data Documentation

PVOID _LFS_DATA::Buffer1

| Definition at line 657 of file lfsstruc.h. Referenced by LfsAllocateSpanningBuffer(), LfsFreeSpanningBuffer(), and LfsInitializeLogFileService().

PVOID _LFS_DATA::Buffer2

| Definition at line 658 of file lfsstruc.h. Referenced by LfsAllocateSpanningBuffer(), and LfsInitializeLogFileService().

ULONG _LFS_DATA::BufferFlags

| Definition at line 660 of file lfsstruc.h. Referenced by LfsAllocateSpanningBuffer(), and LfsFreeSpanningBuffer().

FAST_MUTEX _LFS_DATA::BufferLock

| Definition at line 662 of file lfsstruc.h. Referenced by LfsInitializeLogFileService().

KEVENT _LFS_DATA::BufferNotification

| Definition at line 663 of file lfsstruc.h. Referenced by LfsInitializeLogFileService().

ERESOURCE_THREAD _LFS_DATA::BufferOwner

| Definition at line 659 of file lfsstruc.h. Referenced by LfsAllocateSpanningBuffer(), and LfsFreeSpanningBuffer().

ULONG _LFS_DATA::Flags

| Definition at line 642 of file lfsstruc.h. Referenced by LfsInitializeLogFileService().

LIST_ENTRY _LFS_DATA::LfcbLinks

| Definition at line 636 of file lfsstruc.h. Referenced by LfsInitializeLogFile(), LfsInitializeLogFileService(), and LfsOpenLogFile().

FAST_MUTEX _LFS_DATA::LfsDataLock

| Definition at line 648 of file lfsstruc.h. Referenced by LfsInitializeLogFileService().

NODE_BYTE_SIZE _LFS_DATA::NodeByteSize

| Definition at line 629 of file lfsstruc.h. Referenced by LfsInitializeLogFileService().

NODE_TYPE_CODE _LFS_DATA::NodeTypeCode

| Definition at line 628 of file lfsstruc.h. Referenced by LfsInitializeLogFileService().

The documentation for this struct was generated from the following file:

- lfsstruc.h